-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: db-java:3307
-- Generation Time: Nov 16, 2023 at 01:49 PM
-- Server version: 8.1.0
-- PHP Version: 8.2.8

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `gym_tracker`
--

-- --------------------------------------------------------

--
-- Table structure for table `application`
--

CREATE TABLE `application` (
  `username` varchar(50) NOT NULL,
  `gym_id` int NOT NULL,
  `gym_name` varchar(50) NOT NULL,
  `email` varchar(255) NOT NULL,
  `acceptance` tinyint NOT NULL DEFAULT '0',
  `trainer_name` varchar(50) NOT NULL,
  `trainer_description` varchar(255) DEFAULT NULL,
  `application_description` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

INSERT INTO `application` (`username`, `gym_id`, `gym_name`, `email`, `acceptance`, `trainer_name`, `trainer_description`, `application_description`) VALUES
('max_fitness', 0, 'FitnessCenter', 'max.fitness@email.com', 0, 'Max Fitness', 'Specializing in strength training', 'Application for strength training at FitnessCenter'),
('flex_master', 0, 'FitnessCenter', 'flex.master@email.com', 0, 'Flex Master', 'Flexibility and mobility specialist', 'Application for flexibility training at FitnessCenter'),
('gym_pro', 0, 'AnotherGym', 'gym.pro@email.com', 0, 'Gym Pro', 'Helping clients achieve their fitness goals', 'Application for fitness training at AnotherGym');


--
-- Table structure for table `logging`
--

CREATE TABLE `logging` (
  `id` int NOT NULL,
  `ip_address` varchar(255) NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `endpoint` varchar(255) NOT NULL,
  `request_description` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `application`
--
ALTER TABLE `application`
  ADD PRIMARY KEY (`username`,`gym_id`);

--
-- Indexes for table `logging`
--
ALTER TABLE `logging`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `logging`
--
ALTER TABLE `logging`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=0;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
